Results 1 to 10 of 10

Thread: I'm having trouble installing teamviewer under Leap 42.3.

  1. #1

    Default I'm having trouble installing teamviewer under Leap 42.3.

    I'm having trouble installing TeamViewer on my installation of openSuSE's Leap 42.3, which I have running in a virtual machine (VMware player) under Windows 10. The error message I'm getting indicates that the (RPM) package that I downloaded is invalid. I created a video to illustrate the problem, but it's not in a format accepted by this Forum. that is, I can't upload it directly from my computer. Am I missing something?

  2. #2

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    If you install with Yast, you can click "Ignore" when you get the error message and TeamViewer will go ahead and install. Of course, you may also end up breaking something, so it's not an ideal way to install software.

    By the way, AnyDesk is a fairly new competitor to TeamViewer that has run much better on openSUSE in my testing. Might want to try the free version if you get a chance.

  3. #3
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,187

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    Quote Originally Posted by Babyboomer View Post
    The error message I'm getting indicates that the (RPM) package that I downloaded is invalid. I created a video to illustrate the problem, but it's not in a format accepted by this Forum. that is, I can't upload it directly from my computer. Am I missing something?
    Yes, you are missing the Teamviewer GPG signing key which authenticates that the package integrity is a-ok.

    From a terminal, run:
    Code:
    sudo rpm --import https://download.teamviewer.com/download/linux/signature/TeamViewer2017.asc
    This will import the Teamviewer signing key and the .rpm should no longer complain about invalid signature.
    .: miuku @ #opensuse @ irc.libera.chat

  4. #4
    Join Date
    Sep 2012
    Posts
    7,098

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    Quote Originally Posted by Babyboomer View Post
    The error message I'm getting indicates that the (RPM) package that I downloaded is invalid. I created a video to illustrate the problem
    Video for a simple error message from rpm? This must be a joke. Copy command invocation and its full output form terminal and paste here.

  5. #5

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    Quote Originally Posted by arvidjaar View Post
    Video for a simple error message from rpm? This must be a joke. Copy command invocation and its full output form terminal and paste here.
    Your assumption that I attempted to install the software by running the rpm command in a terminal session is incorrect! Instead, I was using the software management module of YaST2. I was having trouble capturing a screenshot of the virtual machine in which openSuSE is running. I didn't have another program with which to capture screenshots, so I decided to use a program I have that records video from the specified screen. The recording I made captured two attempts to install the software – the second of which had incorporated andyprough's suggestion to ignore the error. I couldn't tell you whether ignoring the error worked, because shortly thereafter I re-created the openSuSE virtual machine.

    I don't know whether the YaST2 software management tool keeps logs, and if so, where they are located. If you do, that information would have been helpful. On the other hand, if using the command-line interface would make it easier to capture the error messages, you might have provided the relevant syntax – like Miuku did it in their response.

    In other forums where I've been able to provide video evidence, they've always been appreciated. They've proven to be a valuable diagnostic tool and are often more effective in describing the circumstances than mere words.

  6. #6

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    Quote Originally Posted by Miuku View Post
    Yes, you are missing the Teamviewer GPG signing key which authenticates that the package integrity is a-ok.

    From a terminal, run:
    Code:
    sudo rpm --import https://download.teamviewer.com/download/linux/signature/TeamViewer2017.asc
    This will import the Teamviewer signing key and the .rpm should no longer complain about invalid signature.
    I'll give this a try.

  7. #7

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    Quote Originally Posted by Miuku View Post
    Yes, you are missing the Teamviewer GPG signing key which authenticates that the package integrity is a-ok.

    From a terminal, run:
    Code:
    sudo rpm --import https://download.teamviewer.com/download/linux/signature/TeamViewer2017.asc
    This will import the Teamviewer signing key and the .rpm should no longer complain about invalid signature.
    Thank you, Miuku! That did the trick!

  8. #8

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    I reinstalled OpenSuSE, and would like to reinstall TeamViewer as well. Unfortunately, the instructions contained in this thread no longer work. Are there updated files for installing TeamViewer?

  9. #9
    Join Date
    Oct 2008
    Location
    Glasgow, Scotland
    Posts
    1,277

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    If proprietary vendors cannot provide support for their products, perhaps you should consider switching to an opensource solution.
    Remote support and administration via ssh is both secure and fairly straightforward.

    BTW this is about an application -- not installing or booting openSUSE.
    --
    slàinte mhath,
    rayH

    ~ knowing the right answer is easier than knowing the right question.

  10. #10

    Default Re: I'm having trouble installing teamviewer under Leap 42.3.

    Quote Originally Posted by eng-int View Post
    If proprietary vendors cannot provide support for their products, perhaps you should consider switching to an opensource solution.
    Remote support and administration via ssh is both secure and fairly straightforward.


    Makes perfect sense. So, I went back to the vendor's site and downloaded the rpm package for Suse. I elected to ignore warnings that the package was broken, and installed it anyway. It seems to be working fine.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •